summaryrefslogtreecommitdiffstats
path: root/trunk/tools/sync-trees.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/tools/sync-trees.sh')
-rwxr-xr-xtrunk/tools/sync-trees.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/trunk/tools/sync-trees.sh b/trunk/tools/sync-trees.sh
new file mode 100755
index 0000000..8eea0f6
--- /dev/null
+++ b/trunk/tools/sync-trees.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+#MEDIA=/media/non-free/release
+[ -n "$1" ] && DRY_RUN=-n
+DIST=/cooker/i586
+ROOT=$DIST$MEDIA
+SOURCE=/live/mnt/BIG/dis/devel$ROOT
+DEST=/mnt/field/dis/local$ROOT
+TEST=media/main/release/media_info/UPDATING
+
+rsync $DRY_RUN -avP -lHz -e 'ssh -xc arcfour' --delete --delete-excluded --exclude 'debug_*/*/*' --exclude SRPMS $SOURCE/ $DEST
+
+if [ -e "$DEST/$TEST" ]; then
+ echo
+ echo "Warning: package upload in progress"
+ echo "Resync tree!"
+ exit 1
+fi
+
+exit 0